# json-c: debug.h File Reference

# debug.h File Reference

## Defines

#define | __STRING(x) #x
#define | JASSERT(cond) do {} while(0)
#define | MC_ABORT(x,...) mc_abort(x, ##__VA_ARGS__)
#define | MC_ERROR(x,...) mc_error(x, ##__VA_ARGS__)
#define | MC_SET_DEBUG(x) if (0) mc_set_debug(x)
#define | MC_GET_DEBUG() (0)
#define | MC_SET_SYSLOG(x) if (0) mc_set_syslog(x)
#define | MC_DEBUG(x,...) if (0) mc_debug(x, ##__VA_ARGS__)
#define | MC_INFO(x,...) if (0) mc_info(x, ##__VA_ARGS__)

## Functions

void | mc_set_debug (int debug)
int | mc_get_debug (void)
void | mc_set_syslog (int syslog)
void | mc_abort (const char *msg,...)
void | mc_debug (const char *msg,...)
void | mc_error (const char *msg,...)
void | mc_info (const char *msg,...)

## Define Documentation

#define __STRING | ( | x |  | ) | #x

#define JASSERT | ( | cond |  | ) | do {} while(0)

#define MC_ABORT | ( | x,
|  | ... |  | ) | mc_abort(x, ##__VA_ARGS__)

#define MC_DEBUG | ( | x,
|  | ... |  | ) | if (0) mc_debug(x, ##__VA_ARGS__)

#define MC_ERROR | ( | x,
|  | ... |  | ) | mc_error(x, ##__VA_ARGS__)

#define MC_GET_DEBUG | ( |  | ) | (0)

#define MC_INFO | ( | x,
|  | ... |  | ) | if (0) mc_info(x, ##__VA_ARGS__)

#define MC_SET_DEBUG | ( | x |  | ) | if (0) mc_set_debug(x)

#define MC_SET_SYSLOG | ( | x |  | ) | if (0) mc_set_syslog(x)

## Function Documentation

void mc_abort | ( | const char * | msg,
|  |  | ... |
| ) |  |  |

void mc_debug | ( | const char * | msg,
|  |  | ... |
| ) |  |  |

void mc_error | ( | const char * | msg,
|  |  | ... |
| ) |  |  |

int mc_get_debug | ( | void |  | ) |

void mc_info | ( | const char * | msg,
|  |  | ... |
| ) |  |  |

void mc_set_debug | ( | int | debug | ) |

void mc_set_syslog | ( | int | syslog | ) |